VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IKeyboardHook Class Referenceabstract
Version 4.0

generic keyboard hook interface for CFrame More...

Inheritance diagram for IKeyboardHook:

## Public Member Functions
virtual | ~IKeyboardHook () noexcept=default
virtual void | onKeyboardEvent (KeyboardEvent &event, CFrame *frame)=0
| the event will not be dispatched further if it is consumed.

## Detailed Description

generic keyboard hook interface for CFrame

## Constructor & Destructor Documentation

virtual ~IKeyboardHook | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void onKeyboardEvent | ( | KeyboardEvent & | event,
|  | CFrame * | frame
| ) |  |
| pure virtual

the event will not be dispatched further if it is consumed.

The documentation for this class was generated from the following file:

- cframe.h